# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: System to user tools
Name: s2u
Version: 0.9.2
Release: alt1_13
URL: https://www.mageia.org/
Source0: %{name}-%{version}.tar.bz2
Patch0: s2u-0.9.2-fix-build-libnotify-0.7.patch
Patch1: s2u-0.9.2-fix-dbus-api.patch
Patch2: s2u-fix-dbus-calls.patch
Patch3: s2u-0.9.2-fix-sourced.patch
License: GPL
Group: Graphical desktop/Other
BuildRequires: libdbus-glib-devel
BuildRequires: gtk+2-devel
BuildRequires: libnotify-devel libnotify-gir-devel
Requires: dbus dbus-tools
Source44: import.info

%description
Use dbus to communicate between from the system to the users.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1


%build
%make_build CFLAGS="%{optflags}" LDFLAGS=""

%install
%makeinstall_std

%files
%doc ChangeLog README AUTHORS LICENSE
%_bindir/s2u
%_sysconfdir/X11/xinit.d/s2u
%_sysconfdir/sysconfig/network-scripts/hostname.d/s2u
%config(noreplace) %_sysconfdir/dbus-1/system.d/*.conf

# MAKE THE CHANGES IN SVN: NO PATCH OR SOURCE ALLOWED


%changelog
* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0.9.2-alt1_13
- update by mgaimport

* Tue Mar 16 2021 Igor Vlasenko <viy@altlinux.org> 0.9.2-alt1_12
- update by mgaimport

* Fri Jun 12 2020 Igor Vlasenko <viy@altlinux.ru> 0.9.2-alt1_10
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 0.9.2-alt1_9
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.9.2-alt1_8
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 0.9.2-alt1_7
- new version

